Toybrick

楼主: jefferyzhang

[Latest Version] [1.4.0] rknn-toolkit & rknn-api for Toybrick

 

jefferyzhang

超级版主

积分
5900
 楼主| 发表于 2020-8-17 11:24:18 | 显示全部楼层
LuKaChen 发表于 2020-8-17 11:21
另外 rknn api 1.3.0,有手动更新方法吗?sudo apt install rknn-rk3399pro(debian 10),提示 already  ...

没有,你等两天,1.4.0在路上了
回复

使用道具 举报

kkk

新手上路

积分
48
发表于 2020-8-17 15:26:13 | 显示全部楼层
E Traceback (most recent call last):
E   File "rknn/api/rknn_base.py", line 510, in rknn.api.rknn_base.RKNNBase.load_onnx
E   File "rknn/base/RKNNlib/converter/convert_onnx.py", line 494, in rknn.base.RKNNlib.converter.convert_onnx.convert_onnx.__init__
E   File "rknn/base/RKNNlib/converter/convert_onnx.py", line 497, in rknn.base.RKNNlib.converter.convert_onnx.convert_onnx.__init__
E   File "/usr/local/Python3.6/lib/python3.6/site-packages/onnx/checker.py", line 86, in check_model
E     C.check_model(model.SerializeToString())
E onnx.onnx_cpp2py_export.checker.ValidationError: Your model ir_version is higher than the checker's.
Load model failed!
在使用rknn-toolkit进行onnx模型转换的时候出现上面的版本问题,怎么破
回复

使用道具 举报

jefferyzhang

超级版主

积分
5900
 楼主| 发表于 2020-8-17 15:27:47 | 显示全部楼层
kkk 发表于 2020-8-17 15:26
E Traceback (most recent call last):
E   File "rknn/api/rknn_base.py", line 510, in rknn.api.rknn_ba ...

进置顶帖的RKNN群里问比较快
回复

使用道具 举报

kkk

新手上路

积分
48
发表于 2020-8-17 16:17:15 | 显示全部楼层
jefferyzhang 发表于 2020-8-17 15:27
进置顶帖的RKNN群里问比较快

rknn-toolkit下个版本,会支持onnx1.7的版本吗?现在的rknn-toolki1.3.2t版本,支持的是onnx1.4的版本
回复

使用道具 举报

yang_allen

新手上路

积分
40
发表于 2020-8-17 18:14:02 | 显示全部楼层
LuKaChen 发表于 2020-8-17 11:21
另外 rknn api 1.3.0,有手动更新方法吗?sudo apt install rknn-rk3399pro(debian 10),提示 already  ...

直接命令sudo apt install rknn-rk3399pro ,就会提示你跟更新,我今天也才更新
回复

使用道具 举报

brunolin

中级会员

积分
281
发表于 2020-8-20 11:07:29 | 显示全部楼层
jefferyzhang 发表于 2020-8-17 11:24
没有,你等两天,1.4.0在路上了

請放一份rknn-toolkit-v1.4.0 到onedrive
謝謝
回复

使用道具 举报

spmoon

注册会员

积分
54
发表于 2020-8-20 16:12:17 | 显示全部楼层
  1. --> init runtime
  2. I NPUTransfer: Starting NPU Transfer Client, Transfer version 2.0.0 (8f9ebbc@2020-04-03T09:12:43)
  3. E RKNNAPI: rknn_init,  msg_load_ack fail, ack = 1(ACK_FAIL), expect 0(ACK_SUCC)!
  4. E RKNNAPI: ==============================================
  5. E RKNNAPI: RKNN VERSION:
  6. E RKNNAPI:   API: 1.4.0 (b4a8096 build: 2020-08-12 10:16:10)
  7. E RKNNAPI:   DRV: 1.3.1 (6ebb4d7 build: 2020-01-02 09:37:58)
  8. E RKNNAPI: ==============================================
  9. E Catch exception when init runtime!
  10. E Traceback (most recent call last):
  11. E   File "rknn/api/rknn_base.py", line 1154, in rknn.api.rknn_base.RKNNBase.init_runtime
  12. E   File "rknn/api/rknn_runtime.py", line 356, in rknn.api.rknn_runtime.RKNNRuntime.build_graph
  13. E Exception: RKNN init failed. error code: RKNN_ERR_MODEL_INVALID
  14. init runtime failed
复制代码


rknn1.4+tensorflow1.14 转换的darknet模型rknn模型,提示时很多warning,但能转换成功,可是转换后的rknn模型加载后进行rknn.init_runtime()时提示模型无效,是哪的问题?
回复

使用道具 举报

jefferyzhang

超级版主

积分
5900
 楼主| 发表于 2020-8-20 16:27:03 | 显示全部楼层
spmoon 发表于 2020-8-20 16:12
rknn1.4+tensorflow1.14 转换的darknet模型rknn模型,提示时很多warning,但能转换成功,可是转换后的rkn ...

进rknn群里问
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表